net.minecraft.network.play.client

## Class C07PacketPlayerDigging

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.client.C07PacketPlayerDigging

-     public class C07PacketPlayerDigging
      extends Packet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `C07PacketPlayerDigging()`
    `C07PacketPlayerDigging(int p_i45258_1_, int p_i45258_2_, int p_i45258_3_, int p_i45258_4_, int p_i45258_5_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `func_149501_f()`
    `int` | `func_149502_e()`
    `int` | `func_149503_d()`
    `int` | `func_149505_c()`
    `int` | `func_149506_g()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayServer p_149504_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, serialize, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### C07PacketPlayerDigging

          public C07PacketPlayerDigging()

    - #### C07PacketPlayerDigging

          public C07PacketPlayerDigging(int p_i45258_1_,
                                int p_i45258_2_,
                                int p_i45258_3_,
                                int p_i45258_4_,
                                int p_i45258_5_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### processPacket

          public void processPacket(INetHandlerPlayServer p_149504_1_)

    - #### func_149505_c

          public int func_149505_c()

    - #### func_149503_d

          public int func_149503_d()

    - #### func_149502_e

          public int func_149502_e()

    - #### func_149501_f

          public int func_149501_f()

    - #### func_149506_g

          public int func_149506_g()

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`